Bug 535 - fglrx uses 100% CPU when screen turns off (spinning in glXWaitVideoSyncSGI or glXSwapBuffers)
: fglrx uses 100% CPU when screen turns off (spinning in glXWaitVideoSyncSGI or...
Status: CLOSED FIXED
Product: AMD Catalyst™Proprietary Display Driver
Classification: Unclassified
Component: OpenGL Driver
: .archived
: All Linux
: low normal
Assigned To: nobody
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-15 19:22 CDT by Age Bosma (IRC: Forage)
Modified: 2013-08-22 13:58 CDT (History)
1 user (show)



Attachments
atigetsysteminfo.sh output (408.72 KB, text/plain)
2012-06-15 19:22 CDT, Age Bosma (IRC: Forage)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Age Bosma (IRC: Forage) 2012-06-15 19:22:15 CDT
Created attachment 497 [details]
atigetsysteminfo.sh output

Description of problem: 
When screen turns off compiz as well as gnome-shell goes to 100% cpu usage. When the screen turns back on, cpu usage drops immediately to a normal value.

When using compiz it is compiz eating up 100% cpu, when using gnome-shell it is gnome-shell doing the same.

Steps to reproduce:
1. In "brightness and lock" settings set "Turn screen off when inactive" to 1 minute
2. Wait until screen turns off
3. CPU usage will start to go up from there on.

The issues has been occurring for a while now. It was already happening in Ubuntu 11.10 (32 bit tested) and now again in Ubuntu 12.04 (64 bit tested).

In my case I'm using a ATI HD6950 in combination with CCC 12.6 beta, but other card have the same issue, as well as CCC versions available before at least 12.3.

Downstream issue with more info and logs: https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/969860
Comment 1 Michael Cronenworth 2013-08-14 11:05:40 CDT
This message is a reminder that your bug is marked as Catalyst 12.6.

The current legacy Catalyst version is 13.1.
The current Catalyst version is 13.4.
The current Catalyst beta version is 13.8.

Approximately 7 days from now the Bugzilla administrator will be removing the 12.6 version. At that time your bug will be CLOSED as WONTFIX.

Bug Reporter: Thank you for reporting this issue. However, the Bugzilla administrator provides this as a unofficial, free service to AMD customers, and I like to keep my systems neat and tidy. If you would like to keep your bug from being closed, please try a new Catalyst version and update the 'version' field if the issue still occurs.

If you are unable to update the version, please make a comment and someone will change it for you.
Comment 2 Age Bosma (IRC: Forage) 2013-08-15 03:56:49 CDT
It was fixed in Catalyst version 13.1